]> err.no Git - util-linux/commitdiff
tests: add mount by LABEL test
authorKarel Zak <kzak@redhat.com>
Mon, 21 May 2007 13:00:54 +0000 (15:00 +0200)
committerKarel Zak <kzak@redhat.com>
Mon, 21 May 2007 13:01:57 +0000 (15:01 +0200)
Signed-off-by: Karel Zak <kzak@redhat.com>
tests/Makefile.am
tests/expected/ts-mount-label [new file with mode: 0644]
tests/ts-mount-label [new file with mode: 0755]

index b037c4b230dcceee4a10b67cf8e52725dd8c8a91..b31eea0ff83039bff72ed4438c322d1459f621cc 100644 (file)
@@ -16,6 +16,7 @@ EXTRA_DIST =  expected/ \
                ts-ipcs.sh \
                ts-login-checktty \
                ts-look-separator \
+               ts-mount-label \
                ts-mount-move \
                ts-mount-mtablock \
                ts-mount-paths \
diff --git a/tests/expected/ts-mount-label b/tests/expected/ts-mount-label
new file mode 100644 (file)
index 0000000..3582111
--- /dev/null
@@ -0,0 +1 @@
+Success
diff --git a/tests/ts-mount-label b/tests/ts-mount-label
new file mode 100755 (executable)
index 0000000..5a9b59a
--- /dev/null
@@ -0,0 +1,59 @@
+#!/bin/bash
+
+# 
+# Copyright (C) 2007 Karel Zak <kzak@redhat.com>
+# 
+# This file is part of util-linux-ng.
+# 
+# This file is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License.
+# 
+# This file is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+
+. commands.sh
+. functions.sh
+
+TS_COMPONENT="mount"
+TS_DESC="label"
+
+LABEL="testMountLabel"
+
+ts_init "$1"
+ts_skip_nonroot
+
+set -o pipefail
+
+MOUNTPOINT="$TS_OUTDIR/${TS_NAME}_mnt"
+DEVICE=$(ts_device_init)
+[ "$?" == 0 ] || ts_die "Cannot init device"
+
+
+mkfs.ext3 -L $LABEL $DEVICE &> /dev/null 
+[ "$?" == "0" ] || ts_die "Cannot make ext3 on $DEVICE" $DEVICE
+
+ts_device_has "LABEL" $LABEL $DEVICE
+[ "$?" == "0" ] || ts_die "Cannot found LABEL '$LABEL' on $DEVICE" $DEVICE
+
+ts_udev_dev_support "by-label" $LABEL
+[ "$?" == "0" ] || ts_skip "udev ignores /dev/loop*" $DEVICE
+
+[ -d "$MOUNTPOINT" ] || mkdir -p $MOUNTPOINT
+
+$TS_CMD_MOUNT -L $LABEL $MOUNTPOINT 2>&1 >> $TS_OUTPUT
+
+grep -q $DEVICE /proc/mounts
+[ "$?" == "0" ] || ts_die "Cannot found $DEVICE in /proc/mounts" $DEVICE
+
+$TS_CMD_UMOUNT $DEVICE
+[ "$?" == "0" ] || ts_die "Cannot umount $DEVICE" $DEVICE
+
+ts_device_deinit $DEVICE
+
+ts_log "Success"
+ts_finalize
+